Bug 104835 - [PATCH] comms/klog: fix pkg-plist, pet portlint
Summary: [PATCH] comms/klog: fix pkg-plist, pet portlint
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Erwin Lansing
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-26 18:20 UTC by Thomas Abthorpe
Modified: 2007-01-03 21:00 UTC (History)
1 user (show)

See Also:


Attachments
klog-0.3.3.patch (1.08 KB, patch)
2006-10-26 18:20 UTC, Thomas Abthorpe
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Abthorpe 2006-10-26 18:20:17 UTC
- fix pkg-plist, adressess http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/e.6.2006101905/klog-0.3.3.log
- pet portlint by setting INSTALLS_ICONS

Port maintainer (az@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2006-10-26 18:20:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->az

Over to maintainer
Comment 2 Thomas Abthorpe 2006-11-04 05:10:38 UTC
Please accept the following patch amendments

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/comms/klog/Makefile,v
retrieving revision 1.12
diff -u -r1.12 Makefile
--- Makefile    8 Oct 2006 18:42:45 -0000       1.12
+++ Makefile    4 Nov 2006 05:08:56 -0000
@@ -16,9 +16,12 @@
 LIB_DEPENDS=   hamlib:${PORTSDIR}/comms/hamlib

 USE_AUTOTOOLS= libtool:15
+INSTALLS_ICONS=        yes
 USE_GMAKE=     yes
 USE_KDELIBS_VER=3

+DOCSDIR=share/doc/HTML
+
 post-install:
        @${INSTALL_DATA}        ${WRKSRC}/src/klog.desktop \
                 ${PREFIX}/share/applnk/Applications/klog.desktop

Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/comms/klog/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- pkg-plist   8 Oct 2006 18:42:45 -0000       1.4
+++ pkg-plist   4 Nov 2006 05:10:29 -0000
@@ -2,20 +2,15 @@
 share/applnk/Applications/klog.desktop
 share/applnk/Utilities/klog.desktop
 share/apps/klog/klogui.rc
-share/doc/HTML/en/klog/common
-share/doc/HTML/en/klog/index.cache.bz2
-share/doc/HTML/en/klog/index.docbook
+%%DOCSDIR%%/en/klog/common
+%%DOCSDIR%%/en/klog/index.cache.bz2
+%%DOCSDIR%%/en/klog/index.docbook
 share/icons/hicolor/16x16/apps/klog.png
 share/icons/hicolor/32x32/apps/klog.png
 share/icons/locolor/16x16/apps/klog.png
 share/icons/locolor/32x32/apps/klog.png
 @dirrm share/apps/klog
-@dirrm share/doc/HTML/en/klog
-@dirrmtry share/icons/hicolor/32x32/apps
-@dirrmtry share/icons/hicolor/32x32
-@dirrmtry share/icons/hicolor/16x16/apps
-@dirrmtry share/icons/hicolor/16x16
-@dirrmtry share/icons/hicolor
+@dirrm %%DOCSDIR%%/en/klog
 @dirrmtry share/icons/locolor/32x32/apps
 @dirrmtry share/icons/locolor/32x32
 @dirrmtry share/icons/locolor/16x16/apps
Comment 3 Erwin Lansing freebsd_committer 2007-01-03 14:27:09 UTC
State Changed
From-To: open->feedback

Your second patch got mangled on the way. Can you send it 
directly to me to avoid GNATS mangling it? 


Comment 4 Erwin Lansing freebsd_committer 2007-01-03 14:27:09 UTC
Responsible Changed
From-To: az->erwin

az resigned maintainership. I'll handle it.
Comment 5 Erwin Lansing freebsd_committer 2007-01-03 20:50:54 UTC
State Changed
From-To: feedback->closed

COmmitted, thanks!
Comment 6 dfilter service freebsd_committer 2007-01-03 20:50:59 UTC
erwin       2007-01-03 20:50:53 UTC

  FreeBSD ports repository

  Modified files:
    comms/klog           Makefile pkg-plist 
  Log:
  - Fix plist
  - Pet portlint (INSTALLS_ICONS and DOCSDIR)
  
  PR:             104835
  Submitted by:   Thomas Abthorpe <thomas@goodking.ca>
  
  Revision  Changes    Path
  1.14      +4 -0      ports/comms/klog/Makefile
  1.5       +4 -9      ports/comms/klog/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"